/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Mozilla Communicator client code, released
 * March 31, 1998.
 *
 * The Initial Developer of the Original Code is
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1998-2001
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Joe Hewitt (hewitt@netscape.com)
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

/* ===== textbox.css ==================================================
  == Styles used by the XUL textbox element.
  ======================================================================= */

@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
@namespace html url("http://www.w3.org/1999/xhtml");

/* ::::: textbox ::::: */

textbox {
  -moz-appearance: textfield;
  cursor: text;
  margin: 2px 4px;
  border: 2px solid;
  -moz-border-top-colors: ThreeDShadow ThreeDDarkShadow;
  -moz-border-right-colors: ThreeDHighlight ThreeDLightShadow;
  -moz-border-bottom-colors: ThreeDHighlight ThreeDLightShadow;
  -moz-border-left-colors: ThreeDShadow ThreeDDarkShadow;
  padding: 2px 2px 3px;
  -moz-padding-start: 4px;
  background-color: -moz-Field;
  color: -moz-FieldText;
}

textbox[empty="true"] {
  color: GrayText;
}

html|*.textbox-input, 
html|*.textbox-textarea {
  margin: 0px !important;
  border: none !important;
  padding: 0px !important;
  background-color: inherit;
  color: inherit;
  font: inherit;
}

.textbox-input-box menupopup {
  cursor: default;
}

/* ..... readonly state ..... */

textbox[readonly="true"] {
  background-color: -moz-Dialog;
  color: -moz-DialogText;
}

/* ..... disabled state ..... */

textbox[disabled="true"] {
  cursor: default;
  background-color: -moz-Dialog;
  color: GrayText;
}

/* ::::: plain textbox ::::: */

textbox.plain {
  -moz-appearance: none !important;
  background-color: transparent;
  padding: 0px !important;
  margin: 0px !important;
  border: none !important;
}

/* ::::: search textbox ::::: */

.textbox-search-icon {
  list-style-image: url(chrome://global/skin/icons/Search-glass.png);
  -moz-image-region: rect(0, 16px, 16px, 0);
}

.textbox-search-icon[chromedir="rtl"] {
  list-style-image: url(chrome://global/skin/icons/Search-glass-rtl.png);
}

.textbox-search-icon[searchbutton]:not([disabled]) {
  cursor: pointer;
}

.textbox-search-clear {
  list-style-image: url(chrome://global/skin/icons/Search-close.png);
  -moz-image-region: rect(0, 16px, 16px, 0);
}

.textbox-search-clear:not([disabled]) {
  cursor: default;
}

.textbox-search-clear[chromedir="rtl"] {
  list-style-image: url(chrome://global/skin/icons/Search-close-rtl.png);
}

.textbox-search-clear:not([disabled]):hover ,
.textbox-search-icon[searchbutton]:not([disabled]):hover {
  -moz-image-region: rect(0, 32px, 16px, 16px);
}

.textbox-search-clear:not([disabled]):hover:active ,
.textbox-search-icon[searchbutton]:not([disabled]):hover:active {
  -moz-image-region: rect(0, 48px, 16px, 32px);
}

/* ::::: textboxes inside toolbarpaletteitems ::::: */

toolbarpaletteitem > toolbaritem > textbox > .textbox-input-box > html|*.textbox-input {
  visibility: hidden;
}

